<!-- Overview Card -->
<div class="container">
  <div class="top-section">
    <!-- Left Section (When Not Logged In) -->
    <ng-container *ngIf="!auth.loggedIn()">
      <div class="top-box-left">
        <mat-list>
          <mat-list-item>
            <div class="login-button-title">Active as {{ nameString }}</div>
          </mat-list-item>
          <mat-list-item>Name: {{ nameString }}</mat-list-item>
          <mat-list-item>E-Mail: {{ emailString }}</mat-list-item>
        </mat-list>
        <mat-form-field class="email-input guest-email-field">
          <mat-label>Optional: provide email address</mat-label>
          <input type="email" matInput [formControl]="email" />
        </mat-form-field>
        <div *ngIf="!isConfirmed; else deleteTemplate">
          <button
            [disabled]="!email.valid"
            mat-flat-button
            color="primary"
            class="continue-button"
            (click)="changeGuestEmail()"
          >
            Confirm
          </button>
        </div>
        <ng-template #deleteTemplate>
          <button
            mat-flat-button
            color="warn"
            class="continue-button"
            (click)="deleteGuestEmail()"
          >
            Delete
          </button>
        </ng-template>
      </div>

      <!-- Right Section (When Not Logged In) -->
      <div class="top-box-right">
        <ul>
          <li>You can use a Single-Sign-In provider to store your data under your account.</li>
          <li>Without login, optionally, an email address can be provided.</li>
          <li>If you provide an email address, you will receive an email if results are finished.</li>
          <li>As an anonymous user, results are only available with the provided link.</li>
        </ul>
      </div>
    </ng-container>

    <!-- Sections When Logged In -->
    <ng-container  *ngIf="auth.loggedIn()">
      <div class="top-box-left">
        <mat-list>
          <mat-list-item>
            <div class="login-button-title">Active as {{ nameString }}</div>
          </mat-list-item>
          <mat-list-item>Name: {{ nameString }}</mat-list-item>
          <mat-list-item>E-Mail: {{ emailString }}</mat-list-item>
        </mat-list>
      </div>

      <div class="top-box-right">
            <ul>
              <li>All your MPA jobs are available via the job control panel.</li>
              <li>Progress indicators for active jobs.</li>
              <li>Coming Soon: Linked job control for all mdoa tools</li>
            </ul>
      </div>
    </ng-container>
  </div>

  <!-- Bottom Section -->
  <div class="bottom-section">
    <!-- Left Bottom Box -->
    <div class="bottom-box">
      <ng-container *ngIf="!auth.loggedIn()">
        <div
          mat-ripple
          (click)="auth.loginGoogle()"
          class="rounded mat-elevation-z4 custom-hover"
        >
          <mat-list role="list">
            <mat-list-item role="listitem">
              <div class="login-button-title">Login with Google</div>
            </mat-list-item>
              <ul style="text-align: left">
                <li>Use your Google account to sign in.</li>
                <li>Extended job control center with progress indicator.</li>
                <li>All your MPA jobs are available via the job control panel.</li>
              </ul>
          </mat-list>
        </div>
      </ng-container>

      <ng-container *ngIf="auth.loggedIn()">
        <div
          mat-ripple
          (click)="logout()"
          class="startbox3 rounded mat-elevation-z4 custom-hover"
        >
          <div class="login-button-title">Logout Google</div>
        </div>
      </ng-container>
    </div>

    <!-- Right Bottom Box -->
    <div class="bottom-box">
      <div
        mat-ripple
        (click)="auth.loginGoogle()"
        class="rounded mat-elevation-z4 custom-hover"
      >
        <mat-list role="list">
          <mat-list-item role="listitem">
            <div class="login-button-title">Login with life Science</div>
          </mat-list-item>
          <mat-list-item role="listitem">
            <ul style="text-align: left">
              <li>Coming Soon</li>
            </ul>
          </mat-list-item>
        </mat-list>
      </div>
    </div>
  </div>
</div>
<!-- Elixir Login Button -->
<!-- <ng-container *ngIf="!this.isLoggedInWithLifeScience()"> -->
<!-- <div class="startbox3">
    <div class="rounded mat-elevation-z4 custom-hover"> -->
<!-- <mat-list role="list"> -->
<!-- <mat-list-item role="listitem"> -->
<!-- <div class="login-button-title">
        Login with LifeScience ... Coming Soon
      </div> -->
<!-- </mat-list-item> -->
<!-- <mat-list-item role="listitem">
          <ul style="text-align: left">
            <li>Coming soon</li>
          </ul>
        </mat-list-item> -->
<!-- <mat-list-item role="listitem">
          <ul style="text-align: left">
            <li>Extended job control center with progress indicator.</li>
          </ul>
        </mat-list-item>
        <mat-list-item role="listitem">
          <ul style="text-align: left">
            <li>All your prophane jobs are available via job control panel.</li>
          </ul>
        </mat-list-item> -->
<!-- </mat-list> -->
<!-- </div> -->
<!-- </ng-container> -->
<!-- <ng-container *ngIf="this.isLoggedInWithLifeScience()">
    <div mat-ripple (click)="logout()" class="startbox2 rounded mat-elevation-z4 custom-hover">
      <div class="login-button-title">Logout Elixier</div>
    </div>
  </ng-container> -->
